/*
 * Code source fait partie du tutoriel disponible dans le blog :
 * http://www.asher256.com/
 *
 * Les commentaires sont disponibles dans le tutoriel en ligne.
 */

#include "MonInterface.h"
#include <FL/fl_ask.H>

MonInterface *Interface;

void BoutonFini_Click(Fl_Widget *) {
    const char *contenu = Interface->EntreeClavier->value();
    fl_alert("%s", contenu);
}

int main(int argc, char **argv) {
    Interface = new MonInterface();

    Interface->BoutonFini->callback(BoutonFini_Click);
    Interface->FenetrePrincipale->show(argc, argv);

    return Fl::run();
}
